Method: projects.locations.instances.mpc.keyRings.delete

Deletes a KeyRing. Must be empty to delete.

HTTP request

DELETE https://mpc.googleapis.com/v1alpha1/{name=projects/*/locations/*/instances/*/mpc/keyRings/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The unique resource name of the KeyRing to delete. Format: projects/{project}/locations/{location}/instances/{instance}/mpc/keyRings/{keyRing} It takes the form projects/{project}/locations/{location}/instances/{instance}/mpc/keyRings/{keyring}.

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.